## audacity 3.2.5%2Bdfsg

=== debian/changelog ===
audacity (3.2.5+dfsg-0.1~mx21+1) mx; urgency=medium

  * New upstream release 3.2.5+dfsg.
  * Turn embedded sbsms back on; can't backport it with gcc-10, also restore
    the removed sbsms source to the orig Audacity source and re-create the
    orig.tar.xz file.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 03 Mar 2023 14:19:07 -0800
