=== debian/changelog ===
audacity (3.2.5+dfsg-0.1~mx23+1) mx; urgency=medium

  * New upstream release 3.2.5+dfsg.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 03 Mar 2023 14:19:07 -0800
