=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
                libogg-dev,
                libportmidi-dev,
                libportsmf-dev,
-#               libsbsms-dev (>= 2.2.0~),
+               libsbsms-dev (>= 2.2.0~),
                libsndfile1-dev,
                libsndfile1-dev:native,
                libsoundtouch-dev,
@@ -43,8 +43,8 @@
                libtwolame-dev,
                libvorbis-dev,
                libwavpack-dev (>= 5.2.0),
-               libwxgtk3.2-dev,
-               libwxgtk3.2-dev:native,
+               libwxgtk3.2-dev | libwxgtk3.0-gtk3-dev,
+               libwxgtk3.2-dev:native | libwxgtk3.0-gtk3-dev:native,
                lv2-dev,
                portaudio19-dev,
                portaudio19-dev:native,
