=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 	-Daudacity_use_lv2=off \
 	-Daudacity_use_midi=off \
 	-Daudacity_use_portsmf=off \
-	-Daudacity_use_sbsms=on \
+	-Daudacity_use_sbsms=off \
 	-Daudacity_use_soundtouch=off \
 	-Daudacity_use_twolame=off \
 	-Daudacity_use_vamp=off \
