=== debian/changelog ===
audacity (3.3.3-0.1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Cmake min. version raised to 3.19.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 13 Jun 2023 14:38:39 -0700

audacity (3.3.3-0build1~ubuntu22.04) jammy; urgency=medium

  * #4618 Fixed EQ not scaling properly when resizing the window.
  * #4743 Fixed the audio.com upload flow.

 -- pandajim (key for lives deb) <ubuntuhandbook1@gmail.com>  Wed, 01 Feb 2023 21:56:51 +0100
