=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
            Jaromír Mikeš <mira.mikes@seznam.cz>,
            Dennis Braun <snd@debian.org>
 Standards-Version: 4.6.2
-Build-Depends: cmake (>= 3.15),
+Build-Depends: cmake (>= 3.19),
                debhelper-compat (= 12),
                gettext,
                libasound2-dev [linux-any],
@@ -24,13 +24,13 @@
                libid3tag0-dev,
                libjack-dev | libjack-jackd2-dev,
                liblilv-dev,
-               libmp3lame-dev (>= 3.100-5~),
+               libmp3lame-dev (>= 3.100-1),
                libmp3lame-dev:native,
                libmpg123-dev,
                libogg-dev,
                libportmidi-dev,
                libportsmf-dev,
-               libsbsms-dev (>= 2.2.0~),
+               libsbsms-dev,
                libsndfile1-dev,
                libsndfile1-dev:native,
                libsoundtouch-dev,
@@ -42,9 +42,9 @@
                libsuil-dev,
                libtwolame-dev,
                libvorbis-dev,
-               libwavpack-dev (>= 5.2.0),
-               libwxgtk3.2-dev | libwxgtk3.0-gtk3-dev,
-               libwxgtk3.2-dev:native | libwxgtk3.0-gtk3-dev:native,
+               libwavpack-dev,
+               libwxgtk3.2-dev,
+               libwxgtk3.2-dev:native,
                lv2-dev,
                portaudio19-dev,
                portaudio19-dev:native,
