=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+# Tell to use gcc 11 for Focal
+#export CC=/usr/bin/gcc-11
+#export CXX=/usr/bin/g++-11
 
 CMAKE_FLAGS = \
 	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
@@ -16,10 +19,10 @@
 	-DwxBUILD_TOOLKIT=gtk3 \
 	$(NULL)
 
-# ifeq (,$(findstring ~,$(DEB_VERSION_UPSTREAM)))
-# No ~ in upstream version. Assuming release version (i.e. not alpha or beta version)
-# CMAKE_FLAGS += -DAUDACITY_BUILD_LEVEL=2
-# endif
+ifeq (,$(findstring ~,$(DEB_VERSION_UPSTREAM)))
+# No ~ in upstream version. Assuming release version (i.e. not alhpa or beta version)
+CMAKE_FLAGS += -DAUDACITY_BUILD_LEVEL=2
+endif
 
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 CROSS_CMAKE_FLAGS = -DIMAGE_COMPILER_EXECUTABLE=$(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)/utils/image-compiler
@@ -31,12 +34,12 @@
 	-Daudacity_use_libmad=off \
 	-Daudacity_use_libmpg123=off \
 	-Daudacity_use_libogg=off \
-	-Daudacity_use_libopus=off \
+	-Daudacity_use_libopus=on \
 	-Daudacity_use_libvorbis=off \
 	-Daudacity_use_lv2=off \
 	-Daudacity_use_midi=off \
 	-Daudacity_use_portsmf=off \
-	-Daudacity_use_sbsms=off \
+	-Daudacity_use_sbsms=on \
 	-Daudacity_use_soundtouch=off \
 	-Daudacity_use_twolame=off \
 	-Daudacity_use_vamp=off \
@@ -59,8 +62,7 @@
 endif
 	WX_CONFIG=/usr/lib/$(DEB_HOST_GNU_TYPE)/wx/config/gtk3-unicode-3.2 dh_auto_configure -- $(CMAKE_FLAGS) $(CROSS_CMAKE_FLAGS)
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	# Don't package unnecessary copy of GPL
 	rm debian/tmp/usr/share/doc/audacity/LICENSE.txt
