=== debian/changelog ===
audacity (3.3.3+dfsg-1) unstable; urgency=medium

  * New upstream version 3.3.3+dfsg
  * Refresh patchset
  * d/copyright: Refresh file list
  * Refresh d/audacity.lintian-overrides

 -- Dennis Braun <snd@debian.org>  Fri, 16 Jun 2023 22:34:40 +0200
